ft2nfdump(1)

NAME
ft2nfdump - flow-tools data converter program

SYNOPSIS

ft2nfdump [options]

DESCRIPTION
ft2nfdump is the flow-tools converter program to read, convert and store netflow data, created with the flow-tools package. It works either as a pipe filter or reads flow-tools data format directly from file and exports nfdump data format at stdout.

OPTIONS

-r <flow-tools-file>
    Read flow-tools formated netflow data from file flow-tools-file. Default: Read from stdin.

-c num
    Read only num flows from input file.

-E  Print raw netflow records to stdout. This option is for debugging purpose only, to see any incoming netflow data. Compatible to option -E in nfcapd.

-V  Print ft2nfdump version and exit.

-h  Print help text on stdout with all options and exit.

RETURN VALUE
Returns
    0 No error.
    255 Conversion failed.

EXAMPLES
flow-cat ft-v05.2001-05-01.* | ft2nfdump | nfdump -w nfcap.20010501 Convert files into nfdump format.

ft2nfdump -r ft-v05.2001-05-01 | nfdump -w nfcap.20010501 Convert files into nfdump format.

NOTES

SEE ALSO
nfcapd(1), nfdump(1), nfprofile(1), nfreplay(1)

BUGS